Jump to content

# Crystal

From ArchWiki

Crystal is a statically typed, compiled programming language with Ruby inspired syntax and global type inference.

## Installation

Install the crystal package.

The dependency manager shards is also available; install the shards package.

## Usage

To compile and run a Crystal program:

    $ crystal hello_world.cr

To compile a Crystal program to a binary:

    $ crystal build hello_world.cr

To compile an optimized binary:

    $ crystal build --release hello_world.cr

For more options see:

    $ crystal help

## See also

- The official website
- The official documentation
- The standard library reference
- The official GitHub repository
- Online code evaluation
- #crystal-lang IRC channel

Category:

- Programming languages

Crystal
Add topic